require "mine-sweeper/version"
require "mine-sweeper/cell"
require "mine-sweeper/minefield"
require "mine-sweeper/turn"
require "mine-sweeper/game_helper"

module MineSweeper
  class Game
    def initialize
      @mines = Minefield.new
      intro
      loop do
        print_game_board
        take_a_turn
        check_for_game_end
      end
    end
  end
end
